![banner](https://github.com/dr5hn/countries-states-cities-database/raw/master/.github/banner.png)

# 🌍 Countries States Cities Database
![release](https://img.shields.io/github/v/release/dr5hn/countries-states-cities-database?style=flat-square)
![size](https://img.shields.io/github/repo-size/dr5hn/countries-states-cities-database?label=size&style=flat-square)

Full Database of city state country available in JSON, SQL, XML, PLIST, YAML & CSV Format
All Countries, States & Cities are Covered & Populated with Different Combinations & Versions.

## Formats Available
- JSON
- SQL
- XML
- PLIST
- YAML
- CSV

## Distribution Files Info
File | JSON | SQL | XML | PLIST | YAML | CSV
:------------ | :-------------| :-------------| :------------- |:-------------|:-------------|:-------------
Countries | :white_check_mark: | :white_check_mark: | :white_check_mark: | :white_check_mark: | :white_check_mark: | :white_check_mark:
States | :white_check_mark: | :white_check_mark: | :white_check_mark: | :white_check_mark: | :white_check_mark: | :white_check_mark:
Cities | :white_check_mark: | :white_check_mark: | :white_check_mark: | :white_check_mark: | :white_check_mark: | :white_check_mark:
Country+States | :white_check_mark: | NA | :white_check_mark: | :white_check_mark: | :white_check_mark: | NA
State+Cities | :white_check_mark: | NA | :white_check_mark: | :white_check_mark: | :white_check_mark: | NA
Country+State+Cities/World | :white_check_mark: |  :white_check_mark: | :white_check_mark: | :white_check_mark: | :white_check_mark: | NA

## Demo
https://dr5hn.github.io/countries-states-cities-database/

## Insights
Total Countries : 247 <br>
Total States/Regions : 4,852 <br>
Total Cities/Towns : 141,810 <br>

Last Updated On : 16th May 2020

## Notes
```
This Free database does not guarantee for the complete list of world
countries, states & cities.
You can manually change the spelling mistakes, duplicates
or add edit any records, which are incorrect.

Reason behind making this repo: I ran through many websites to get
perfect combination of state, city & countries.
Some were with missing states, some with large filesize.
So I thought to get it done on my own using PHP Script.
```

## Contributions
[Contibution Guidelines](https://github.com/dr5hn/countries-states-cities-database/blob/master/CONTRIBUTING.md)

## Follow me at
<a href="https://github.com/dr5hn/"><img alt="Github @dr5hn" src="https://img.shields.io/static/v1?logo=github&message=Github&color=black&style=flat-square&label=" /></a> <a href="https://twitter.com/dr5hn/"><img alt="Twitter @dr5hn" src="https://img.shields.io/static/v1?logo=twitter&message=Twitter&color=black&style=flat-square&label=" /></a> <a href="https://www.linkedin.com/in/dr5hn/"><img alt="LinkedIn @dr5hn" src="https://img.shields.io/static/v1?logo=linkedin&message=LinkedIn&color=black&style=flat-square&label=&link=https://twitter.com/dr5hn" /></a>

## Suggestions / Feedbacks
```
Suggestions & Feedbacks are Most Welcome
gadadarshan[at]gmail[dot]com
```

That's all Folks. Enjoy.
